@font-face {
    font-family: "metal"; 
    src: url("Heartless.ttf") format("truetype");
    /* or: */
    src: url("Heartless.ttf") format("opentype"); /
}

body {
    background-color: #141414;
    color: white;
    overflow: clip;

}

#bounding_box {
    margin: 10dvh auto;
    max-width: 750px;
    height: 75dvh;
    text-align: center;
}

#flex {
    display: flex;
    padding: 0;
    margin: 1;
}

aside {
    width: 200px;
    height: 76dvh;
    padding: 5px;
    font-size: small;
    overflow: hidden;
    margin-left: 0;
    writing-mode: vertical-rl;
    border-right: 1px dashed white;
    position: relative;
    p{
        max-height: calc(74dvh - 50px);
    }
    nav {
        writing-mode: horizontal-tb;
        float: inline-start;
        text-align: right;
        width: 100%;
        ul {
                list-style-type: none;
        } 
    }
    #fun {
        width: 100%;
        writing-mode: horizontal-tb;
        position: absolute;
        bottom: 0;
        right: 0;
        height: 50px;
        img {
            width: 69%;
        }
    }
    hr {
        height: calc(74dvh - 250px);
    }
}

header {
    width: 50px;
    writing-mode: vertical-rl;
    /*The reason the header is rotated the way it is!*/
    font-family: metal;
    font-size: 40px;
    padding-left: 100px;
    padding-top: -10px;
    margin-right: -70px;
}

main {
    height: 75dvh;
    overflow: auto;
    width: calc(750px - 200px - 50px);
    border-left: 1px dashed white;
    padding: 10px;
}

img {
    width: 100%;
}

a {
    color: white;
    font-variant: petite-caps;
}

a:hover {
            color: darkred;
        }

#bottomleftdecor {
    position: absolute;
    bottom: -5px;
    left: -175px;
    rotate: 10deg;
    width: 875px;
    z-index: 2;
}

#toprightdecor {
    position: absolute;
    top: -50px;
    right: -50px;
    rotate: 10deg;
    width: 875px;
    z-index: 2;
}

/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: #141414 white;
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: 16px;
}

*::-webkit-scrollbar-track {
    background: #141414;
}

*::-webkit-scrollbar-thumb {
    background-color: #141414;
    border-radius: 10px;
    border: 3px none white;
}

/* ===== Phone friendly CSS ===== */

@media only screen and (max-width: 600px) {
    
    body {
        width: 90dvw;
        margin: 0 auto;
        overflow-x: hidden;
        overflow-y: auto;
    }
    
    #flex {
        flex-wrap: wrap;
    }

    header {
        order: 1;
        writing-mode: horizontal-tb;
        margin: 0 auto;
        margin-bottom: -80px;
        margin-top: -140px;
        padding: unset;
        width: 100%;
    }
    
    aside {
        order: 2;
        width: 100%;
        writing-mode: horizontal-tb;
        height: unset;
        border-right: unset;
        p{
            max-height: unset;
        }
        nav {
            float: unset;
            text-align: left;
            ul {
                display: flex;
                width: unset;
                overflow: auto;
            }
            li {
                margin-left: 20px;
                margin: 0 auto;
                min-width: 50px;
            }
        }
        #fun {
            height: unset;
            float: unset;
            position: unset;
            img {
                width: 40%;
            }
        }
        hr {
        height: unset;
        }
    }

    main {
        order: 3;
        height: unset;
        border-left: unset;
    }
    
    #bottomleftdecor {
        visibility: hidden;
        height: 1px;
        width: 1px;
    }
    
    #toprightdecor {
        top: -60px;
        right: -5px;
    }
}